System 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

See ASP.NET Code Access Security for detailed information about the permissions that are granted to each trust level.

The members of this enumeration define application security levels ranging from full trust (the application is unconstrained by code access security) to minimal trust (the application has permission only to execute). You set the trust level for an ASP.NET resource with the trust configuration element in a Web.config or Machine.config file.

If you want to lock security policy for a specific server or Web site, use the location element in conjunction with the allowOverride=false attribute to ensure that trust policy settings cannot be overridden locally.

Specifies the trust level that is granted to an ASP.NET Web application.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Web.AspNetHostingPermissionLevel

  Indicates that features protected with a demand for any level less than or equal to the High trust level will succeed. This level is intended for highly trusted managed-code applications that need to use most of the managed permissions that support semi-trusted access. It does not grant some of the highest permissions (for example, the ability to call into native code), but it does provide a way to run trusted applications with least privilege or to provide some level of constraints for highly trusted applications. This level is granted by configuring at least the trust level in the trust section in a configuration file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Web.AspNetHostingPermissionLevel

  Indicates that features protected with a demand for any level less than or equal to the level will succeed. This level is intended to allow read-only access to limited resources in a constrained environment. This level is granted by specifying the trust level in the trust section in a configuration file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Web.AspNetHostingPermissionLevel

  Indicates that features protected with a demand for any level less than or equal to the level will succeed. This level is granted by configuring at least the trust level in the trust section in a configuration file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Web.AspNetHostingPermissionLevel

  Indicates that features protected with a demand for the level will succeed. This level allows code to execute but not to interact with resources present on the system. This level is granted by configuring at least the trust level using the trust section in a configuration file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Web.AspNetHostingPermissionLevel

  Indicates that no permission is granted. All demands for will fail.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Web.AspNetHostingPermissionLevel

  Indicates that all demands for permission to use all features of an application will be granted. This is equivalent to granting Full trust level in the trust section in a configuration file.